Skip to main content
GET

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Path Parameters

asset
string
required

Asset name.

Query Parameters

txids
string[]

Optional comma separated list of transaction identifiers (txid) to filter a response.
The list must contain a single element for Community users.

block_hashes
string[]

Optional comma separated list of block hashes to filter a response.
The list must contain a single element for Community users.

start_time
string

Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with start_height.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
This parameter is disabled for Community users.

end_time
string

End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with end_height.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
This parameter is disabled for Community users.

start_height
integer<int64>

The start height indicates the beginning block height for the set of data that are returned.
Inclusive by default. Mutually exclusive with start_time.
This parameter is disabled for Community users.

Required range: x >= 0
end_height
integer<int64>

The end height indicates the ending block height for the set of data that are returned.
Inclusive by default. Mutually exclusive with end_time.
This parameter is disabled for Community users.

Required range: x >= 0
chain
string
default:main

Chain type. Supported values are main and all (includes both main and stale).
This parameter is disabled for Community users.

start_inclusive
boolean
default:true

Inclusive or exclusive corresponding start_* parameters.
This parameter is disabled for Community users.

end_inclusive
boolean
default:true

Inclusive or exclusive corresponding end_* parameters.
This parameter is disabled for Community users.

timezone
string
default:UTC

Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.

Example:

"America/New_York"

page_size
integer<int32>
default:100

Number of items per single page of results.
This parameter is disabled for Community users.

Required range: 1 <= x <= 10000
paging_from
enum<string>
default:end

Where does the first page start, at the start of the interval or at the end.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Available options:
start,
end
pretty
boolean
default:false

Human-readable formatting of JSON responses.

next_page_token
string

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

ignore_unsupported_errors
boolean
default:false

Ignore "unsupported" errors for not currently supported by Coin Metrics items.

Response

Blockchain transactions.

Blockchain transactions response.

data
object[]
required
next_page_token
string

Token of the next page results for a given request.

next_page_url
string

URL of the next page results for a given request.

warning
object